Admiral

Clusters

Set how a cluster is trusted

POST
/v1/clusters/{cluster_id}/trust

Scope: agent:write

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token (PAT) or Service Access Token (SAT). Pass the token in the Authorization header: Bearer admp_...

In: header

Path Parameters

cluster_id*cluster_id

The cluster_id path parameter.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/clusters/497f6eca-6276-4993-bfeb-53cbbbba6f08/trust" \  -H "Content-Type: application/json" \  -d '{    "trust": {}  }'
{  "cluster": {    "id": "string",    "name": "string",    "status": "CLUSTER_STATUS_UNSPECIFIED",    "issuer_url": "string",    "key_ids": [      "string"    ],    "keys_updated_at": "2023-01-15T01:30:15.01Z",    "created_by": {      "id": "string",      "display_name": "string",      "email": "string"    },    "created_at": "2023-01-15T01:30:15.01Z",    "reported_key_ids": [      "string"    ],    "keys_reported_at": "2023-01-15T01:30:15.01Z"  }}